weka.core.logging

## Class OutputLogger.OutputPrintStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.PrintStream
      - - weka.core.logging.OutputLogger.OutputPrintStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.Appendable, java.lang.AutoCloseable
  Enclosing class:
    OutputLogger

      public static class OutputLogger.OutputPrintStream
      extends java.io.PrintStream

  A print stream class to capture all data from stdout and stderr.
  Version:
    $Revision: 8034 $
  Author:
    fracpete (fracpete at waikato dot ac dot nz)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputLogger.OutputPrintStream(OutputLogger owner, java.io.PrintStream stream)` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flush()` ignored.
    `void` | `print(boolean x)` prints the given boolean to the streams.
    `void` | `print(int x)` prints the given int to the streams.
    `void` | `print(java.lang.Object x)` prints the given object to the streams.
    `void` | `print(java.lang.String x)` prints the given string to the streams.
    `void` | `println()` prints a new line to the streams.
    `void` | `println(boolean x)` prints the given boolean to the streams.
    `void` | `println(int x)` prints the given int to the streams.
    `void` | `println(java.lang.Object x)` prints the given object to the streams (for Throwables we print the stack trace).
    `void` | `println(java.lang.String x)` prints the given string to the streams.

    - ### Methods inherited from class java.io.PrintStream

      `append, append, append, checkError, close, format, format, print, print, print, print, print, printf, printf, println, println, println, println, println, write, write`

    - ### Methods inherited from class java.io.FilterOutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputLogger.OutputPrintStream

          public OutputLogger.OutputPrintStream(OutputLogger owner,
                                        java.io.PrintStream stream)
                                         throws java.lang.Exception

      Default constructor.
      Parameters:
        `owner` - the owning logger
        `stream` - the stream
      Throws:
        `java.lang.Exception` - if something goes wrong

  - ### Method Detail

    - #### flush

          public void flush()

      ignored.
      Specified by:
        `flush` in interface `java.io.Flushable`
      Overrides:
        `flush` in class `java.io.PrintStream`

    - #### print

          public void print(int x)

      prints the given int to the streams.
      Overrides:
        `print` in class `java.io.PrintStream`
      Parameters:
        `x` - the object to print

    - #### print

          public void print(boolean x)

      prints the given boolean to the streams.
      Overrides:
        `print` in class `java.io.PrintStream`
      Parameters:
        `x` - the object to print

    - #### print

          public void print(java.lang.String x)

      prints the given string to the streams.
      Overrides:
        `print` in class `java.io.PrintStream`
      Parameters:
        `x` - the object to print

    - #### print

          public void print(java.lang.Object x)

      prints the given object to the streams.
      Overrides:
        `print` in class `java.io.PrintStream`
      Parameters:
        `x` - the object to print

    - #### println

          public void println()

      prints a new line to the streams.
      Overrides:
        `println` in class `java.io.PrintStream`

    - #### println

          public void println(int x)

      prints the given int to the streams.
      Overrides:
        `println` in class `java.io.PrintStream`
      Parameters:
        `x` - the object to print

    - #### println

          public void println(boolean x)

      prints the given boolean to the streams.
      Overrides:
        `println` in class `java.io.PrintStream`
      Parameters:
        `x` - the object to print

    - #### println

          public void println(java.lang.String x)

      prints the given string to the streams.
      Overrides:
        `println` in class `java.io.PrintStream`
      Parameters:
        `x` - the object to print

    - #### println

          public void println(java.lang.Object x)

      prints the given object to the streams (for Throwables we print the stack trace).
      Overrides:
        `println` in class `java.io.PrintStream`
      Parameters:
        `x` - the object to print